package com.qmth.distributed.print.business.bean.excel;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: excel 动态字段
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/19
 */
public class ExcelField implements Serializable {

    @ApiModelProperty(value = "序号")
    Integer index = 0;

    @ApiModelProperty(value = "编码")
    String code;

    @ApiModelProperty(value = "名称")
    String name;

    @ApiModelProperty(value = "值")
    String value;

    @ApiModelProperty(value = "批注")
    Boolean comment;

    public ExcelField() {

    }

    public ExcelField(String code, String name, Boolean comment) {
        this.index = getIndex() + 1;
        this.code = code;
        this.name = name;
        this.comment = comment;
        this.value = "测试" + name;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Boolean getComment() {
        return comment;
    }

    public void setComment(Boolean comment) {
        this.comment = comment;
    }
}
